<?php



$tdatatb_itens_consumo = array();
$tdatatb_itens_consumo[".searchableFields"] = array();
$tdatatb_itens_consumo[".ShortName"] = "tb_itens_consumo";
$tdatatb_itens_consumo[".OwnerID"] = "";
$tdatatb_itens_consumo[".OriginalTable"] = "tb_itens_consumo";


$tdatatb_itens_consumo[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"masterlist\":[\"masterlist\"],\"masterprint\":[\"masterprint\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdatatb_itens_consumo[".originalPagesByType"] = $tdatatb_itens_consumo[".pagesByType"];
$tdatatb_itens_consumo[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"masterlist\":[\"masterlist\"],\"masterprint\":[\"masterprint\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdatatb_itens_consumo[".originalPages"] = $tdatatb_itens_consumo[".pages"];
$tdatatb_itens_consumo[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"masterlist\":\"masterlist\",\"masterprint\":\"masterprint\",\"print\":\"print\",\"search\":\"search\",\"view\":\"view\"}" );
$tdatatb_itens_consumo[".originalDefaultPages"] = $tdatatb_itens_consumo[".defaultPages"];

//	field labels
$fieldLabelstb_itens_consumo = array();
$fieldToolTipstb_itens_consumo = array();
$pageTitlestb_itens_consumo = array();
$placeHolderstb_itens_consumo = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelstb_itens_consumo["English"] = array();
	$fieldToolTipstb_itens_consumo["English"] = array();
	$placeHolderstb_itens_consumo["English"] = array();
	$pageTitlestb_itens_consumo["English"] = array();
	$fieldLabelstb_itens_consumo["English"]["itenconsumoID"] = "ID";
	$fieldToolTipstb_itens_consumo["English"]["itenconsumoID"] = "";
	$placeHolderstb_itens_consumo["English"]["itenconsumoID"] = "";
	$fieldLabelstb_itens_consumo["English"]["categoria"] = "Categoria";
	$fieldToolTipstb_itens_consumo["English"]["categoria"] = "";
	$placeHolderstb_itens_consumo["English"]["categoria"] = "";
	$fieldLabelstb_itens_consumo["English"]["item_consumo"] = "Item Consumo";
	$fieldToolTipstb_itens_consumo["English"]["item_consumo"] = "";
	$placeHolderstb_itens_consumo["English"]["item_consumo"] = "";
	$fieldLabelstb_itens_consumo["English"]["periodicidade"] = "Periodicidade";
	$fieldToolTipstb_itens_consumo["English"]["periodicidade"] = "";
	$placeHolderstb_itens_consumo["English"]["periodicidade"] = "";
	$fieldLabelstb_itens_consumo["English"]["cons_diario"] = "Cons/Diário ";
	$fieldToolTipstb_itens_consumo["English"]["cons_diario"] = "";
	$placeHolderstb_itens_consumo["English"]["cons_diario"] = "";
	$fieldLabelstb_itens_consumo["English"]["ativar"] = "Ativar";
	$fieldToolTipstb_itens_consumo["English"]["ativar"] = "";
	$placeHolderstb_itens_consumo["English"]["ativar"] = "";
	if (count($fieldToolTipstb_itens_consumo["English"]))
		$tdatatb_itens_consumo[".isUseToolTips"] = true;
}


	$tdatatb_itens_consumo[".NCSearch"] = true;



$tdatatb_itens_consumo[".shortTableName"] = "tb_itens_consumo";
$tdatatb_itens_consumo[".nSecOptions"] = 0;

$tdatatb_itens_consumo[".mainTableOwnerID"] = "";
$tdatatb_itens_consumo[".entityType"] = 0;

$tdatatb_itens_consumo[".strOriginalTableName"] = "tb_itens_consumo";

	



$tdatatb_itens_consumo[".showAddInPopup"] = false;

$tdatatb_itens_consumo[".showEditInPopup"] = false;

$tdatatb_itens_consumo[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatatb_itens_consumo[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdatatb_itens_consumo[".listAjax"] = false;
//	temporary
$tdatatb_itens_consumo[".listAjax"] = false;

	$tdatatb_itens_consumo[".audit"] = false;

	$tdatatb_itens_consumo[".locking"] = false;


$pages = $tdatatb_itens_consumo[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatatb_itens_consumo[".edit"] = true;
	$tdatatb_itens_consumo[".afterEditAction"] = 0;
	$tdatatb_itens_consumo[".closePopupAfterEdit"] = 1;
	$tdatatb_itens_consumo[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatatb_itens_consumo[".add"] = true;
$tdatatb_itens_consumo[".afterAddAction"] = 1;
$tdatatb_itens_consumo[".closePopupAfterAdd"] = 1;
$tdatatb_itens_consumo[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatatb_itens_consumo[".list"] = true;
}



$tdatatb_itens_consumo[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatatb_itens_consumo[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatatb_itens_consumo[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatatb_itens_consumo[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatatb_itens_consumo[".printFriendly"] = true;
}



$tdatatb_itens_consumo[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatatb_itens_consumo[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatatb_itens_consumo[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatatb_itens_consumo[".isUseAjaxSuggest"] = true;

$tdatatb_itens_consumo[".rowHighlite"] = true;





$tdatatb_itens_consumo[".ajaxCodeSnippetAdded"] = false;

$tdatatb_itens_consumo[".buttonsAdded"] = false;

$tdatatb_itens_consumo[".addPageEvents"] = false;

// use timepicker for search panel
$tdatatb_itens_consumo[".isUseTimeForSearch"] = false;


$tdatatb_itens_consumo[".badgeColor"] = "008B8B";


$tdatatb_itens_consumo[".allSearchFields"] = array();
$tdatatb_itens_consumo[".filterFields"] = array();
$tdatatb_itens_consumo[".requiredSearchFields"] = array();

$tdatatb_itens_consumo[".googleLikeFields"] = array();
$tdatatb_itens_consumo[".googleLikeFields"][] = "itenconsumoID";
$tdatatb_itens_consumo[".googleLikeFields"][] = "categoria";
$tdatatb_itens_consumo[".googleLikeFields"][] = "item_consumo";
$tdatatb_itens_consumo[".googleLikeFields"][] = "periodicidade";
$tdatatb_itens_consumo[".googleLikeFields"][] = "cons_diario";
$tdatatb_itens_consumo[".googleLikeFields"][] = "ativar";



$tdatatb_itens_consumo[".tableType"] = "list";

$tdatatb_itens_consumo[".printerPageOrientation"] = 0;
$tdatatb_itens_consumo[".nPrinterPageScale"] = 100;

$tdatatb_itens_consumo[".nPrinterSplitRecords"] = 40;

$tdatatb_itens_consumo[".geocodingEnabled"] = false;










$tdatatb_itens_consumo[".pageSize"] = 20;

$tdatatb_itens_consumo[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatatb_itens_consumo[".strOrderBy"] = $tstrOrderBy;

$tdatatb_itens_consumo[".orderindexes"] = array();

$tdatatb_itens_consumo[".sqlHead"] = "SELECT itenconsumoID,  	categoria,  	item_consumo,  	periodicidade,  	cons_diario,  	ativar";
$tdatatb_itens_consumo[".sqlFrom"] = "FROM tb_itens_consumo";
$tdatatb_itens_consumo[".sqlWhereExpr"] = "";
$tdatatb_itens_consumo[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatatb_itens_consumo[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatatb_itens_consumo[".arrGroupsPerPage"] = $arrGPP;

$tdatatb_itens_consumo[".highlightSearchResults"] = true;

$tableKeystb_itens_consumo = array();
$tableKeystb_itens_consumo[] = "itenconsumoID";
$tdatatb_itens_consumo[".Keys"] = $tableKeystb_itens_consumo;


$tdatatb_itens_consumo[".hideMobileList"] = array();




//	itenconsumoID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "itenconsumoID";
	$fdata["GoodName"] = "itenconsumoID";
	$fdata["ownerTable"] = "tb_itens_consumo";
	$fdata["Label"] = GetFieldLabel("tb_itens_consumo","itenconsumoID");
	$fdata["FieldType"] = 3;

	
		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "itenconsumoID";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "itenconsumoID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_itens_consumo["itenconsumoID"] = $fdata;
		$tdatatb_itens_consumo[".searchableFields"][] = "itenconsumoID";
//	categoria
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "categoria";
	$fdata["GoodName"] = "categoria";
	$fdata["ownerTable"] = "tb_itens_consumo";
	$fdata["Label"] = GetFieldLabel("tb_itens_consumo","categoria");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "categoria";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "categoria";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "tb_catgitens_consumo";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "catg_id";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "categoria";

	

	
	$edata["LookupOrderBy"] = "categoria";

	
	
	
	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_itens_consumo["categoria"] = $fdata;
		$tdatatb_itens_consumo[".searchableFields"][] = "categoria";
//	item_consumo
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "item_consumo";
	$fdata["GoodName"] = "item_consumo";
	$fdata["ownerTable"] = "tb_itens_consumo";
	$fdata["Label"] = GetFieldLabel("tb_itens_consumo","item_consumo");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "item_consumo";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "item_consumo";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_itens_consumo["item_consumo"] = $fdata;
		$tdatatb_itens_consumo[".searchableFields"][] = "item_consumo";
//	periodicidade
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "periodicidade";
	$fdata["GoodName"] = "periodicidade";
	$fdata["ownerTable"] = "tb_itens_consumo";
	$fdata["Label"] = GetFieldLabel("tb_itens_consumo","periodicidade");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "periodicidade";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "periodicidade";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
		$edata["LookupType"] = 0;
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
	
		$edata["LookupValues"] = array();
	$edata["LookupValues"][] = "Diária ";
	$edata["LookupValues"][] = "Semanal";
	$edata["LookupValues"][] = "Mensal";
	$edata["LookupValues"][] = "Trimestral";
	$edata["LookupValues"][] = "Semestral";
	$edata["LookupValues"][] = "Anual";
	$edata["LookupValues"][] = "Eventual";

	
		$edata["SelectSize"] = 1;

// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_itens_consumo["periodicidade"] = $fdata;
		$tdatatb_itens_consumo[".searchableFields"][] = "periodicidade";
//	cons_diario
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "cons_diario";
	$fdata["GoodName"] = "cons_diario";
	$fdata["ownerTable"] = "tb_itens_consumo";
	$fdata["Label"] = GetFieldLabel("tb_itens_consumo","cons_diario");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "cons_diario";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "cons_diario";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_itens_consumo["cons_diario"] = $fdata;
		$tdatatb_itens_consumo[".searchableFields"][] = "cons_diario";
//	ativar
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "ativar";
	$fdata["GoodName"] = "ativar";
	$fdata["ownerTable"] = "tb_itens_consumo";
	$fdata["Label"] = GetFieldLabel("tb_itens_consumo","ativar");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "ativar";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "ativar";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Checkbox");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Checkbox");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_itens_consumo["ativar"] = $fdata;
		$tdatatb_itens_consumo[".searchableFields"][] = "ativar";


$tables_data["tb_itens_consumo"]=&$tdatatb_itens_consumo;
$field_labels["tb_itens_consumo"] = &$fieldLabelstb_itens_consumo;
$fieldToolTips["tb_itens_consumo"] = &$fieldToolTipstb_itens_consumo;
$placeHolders["tb_itens_consumo"] = &$placeHolderstb_itens_consumo;
$page_titles["tb_itens_consumo"] = &$pageTitlestb_itens_consumo;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["tb_itens_consumo"] = array();
//	tb_cotaitens_consumo
	
	

		$dIndex = 0;
	$detailsParam = array();
	$detailsParam["dDataSourceTable"]="tb_cotaitens_consumo";
		$detailsParam["dOriginalTable"] = "tb_cotaitens_consumo";



				$detailsParam["dType"]=PAGE_LIST;
	$detailsParam["dShortTable"] = "tb_cotaitens_consumo";
	$detailsParam["dCaptionTable"] = GetTableCaption("tb_cotaitens_consumo");
	$detailsParam["masterKeys"] =array();
	$detailsParam["detailKeys"] =array();


		
	$detailsTablesData["tb_itens_consumo"][$dIndex] = $detailsParam;

	
		$detailsTablesData["tb_itens_consumo"][$dIndex]["masterKeys"] = array();

	$detailsTablesData["tb_itens_consumo"][$dIndex]["masterKeys"][]="itenconsumoID";

				$detailsTablesData["tb_itens_consumo"][$dIndex]["detailKeys"] = array();

	$detailsTablesData["tb_itens_consumo"][$dIndex]["detailKeys"][]="itenconsumoID";

// tables which are master tables for current table (detail)
$masterTablesData["tb_itens_consumo"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//


require_once(getabspath("classes/sql.php"));










function createSqlQuery_tb_itens_consumo()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "itenconsumoID,  	categoria,  	item_consumo,  	periodicidade,  	cons_diario,  	ativar";
$proto0["m_strFrom"] = "FROM tb_itens_consumo";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "itenconsumoID",
	"m_strTable" => "tb_itens_consumo",
	"m_srcTableName" => "tb_itens_consumo"
));

$proto6["m_sql"] = "itenconsumoID";
$proto6["m_srcTableName"] = "tb_itens_consumo";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "categoria",
	"m_strTable" => "tb_itens_consumo",
	"m_srcTableName" => "tb_itens_consumo"
));

$proto8["m_sql"] = "categoria";
$proto8["m_srcTableName"] = "tb_itens_consumo";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "item_consumo",
	"m_strTable" => "tb_itens_consumo",
	"m_srcTableName" => "tb_itens_consumo"
));

$proto10["m_sql"] = "item_consumo";
$proto10["m_srcTableName"] = "tb_itens_consumo";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "periodicidade",
	"m_strTable" => "tb_itens_consumo",
	"m_srcTableName" => "tb_itens_consumo"
));

$proto12["m_sql"] = "periodicidade";
$proto12["m_srcTableName"] = "tb_itens_consumo";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "cons_diario",
	"m_strTable" => "tb_itens_consumo",
	"m_srcTableName" => "tb_itens_consumo"
));

$proto14["m_sql"] = "cons_diario";
$proto14["m_srcTableName"] = "tb_itens_consumo";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "ativar",
	"m_strTable" => "tb_itens_consumo",
	"m_srcTableName" => "tb_itens_consumo"
));

$proto16["m_sql"] = "ativar";
$proto16["m_srcTableName"] = "tb_itens_consumo";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto18=array();
$proto18["m_link"] = "SQLL_MAIN";
			$proto19=array();
$proto19["m_strName"] = "tb_itens_consumo";
$proto19["m_srcTableName"] = "tb_itens_consumo";
$proto19["m_columns"] = array();
$proto19["m_columns"][] = "itenconsumoID";
$proto19["m_columns"][] = "categoria";
$proto19["m_columns"][] = "item_consumo";
$proto19["m_columns"][] = "periodicidade";
$proto19["m_columns"][] = "cons_diario";
$proto19["m_columns"][] = "ativar";
$obj = new SQLTable($proto19);

$proto18["m_table"] = $obj;
$proto18["m_sql"] = "tb_itens_consumo";
$proto18["m_alias"] = "";
$proto18["m_srcTableName"] = "tb_itens_consumo";
$proto20=array();
$proto20["m_sql"] = "";
$proto20["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto20["m_column"]=$obj;
$proto20["m_contained"] = array();
$proto20["m_strCase"] = "";
$proto20["m_havingmode"] = false;
$proto20["m_inBrackets"] = false;
$proto20["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto20);

$proto18["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto18);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="tb_itens_consumo";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_tb_itens_consumo = createSqlQuery_tb_itens_consumo();


	
		;

						

$tdatatb_itens_consumo[".sqlquery"] = $queryData_tb_itens_consumo;

$tableEvents["tb_itens_consumo"] = new eventsBase;
$tdatatb_itens_consumo[".hasEvents"] = false;

?>